#!/usr/bin/env sh

echo ''
echo "Disable read-only ? [y/n] (Enables System RW)"
read inputrw
if [[ $inputrw =~ ^[Yy]$ ]]; then
  sudo steamos-readonly disable
  sudo pacman-key --init
  sudo pacman-key --populate holo
  sudo pacman -Syu
  sudo pacman -Sy archlinux-keyring
fi
echo ''
echo "Enable verbose boot ? [y/n]"
read inputverbose
if [[ $inputverbose =~ ^[Yy]$ ]]; then
  sudo awk '{gsub(/steamenv_quiet="loglevel=4 splash=verbose fbcon=nodefer"/, "steamenv_noisy=\"loglevel=4 splash=verbose fbcon=nodefer\"")} 1' /etc/grub.d/00_header > temp_file
  sudo mv temp_file /etc/grub.d/00_header
  sudo update-grub
fi
echo ''
echo "Install/Enable tailscale (VPN) ? [y/n]"
read inputvpn
if [[ $inputvpn =~ ^[Yy]$ ]]; then
  git clone https://github.com/tailscale-dev/deck-tailscale
  cd deck-tailscale
  sudo bash tailscale.sh
  source /etc/profile.d/tailscale.sh
  sudo tailscale up --operator=deck --ssh
fi
echo ''
echo "Install/Enable no machine (NX) ? [y/n]"
read inputrx
if [[ $inputrx =~ ^[Yy]$ ]]; then
  sudo steamos-readonly disable
  sudo wget https://download.nomachine.com/download/8.14/Linux/nomachine_8.14.2_1_x86_64.tar.gz -P /usr
  sudo tar -xvf /usr/nomachine_8.14.2_1_x86_64.tar.gz -C /usr/
  sudo /usr/NX/nxserver --install redhat
  sudo rm -r /usr/nomachine_8.14.2_1_x86_64.tar.gz
fi
echo ''
echo "Install Android Tools (adb) ? [y/n]"
read inputadb
if [[ $inputadb =~ ^[Yy]$ ]]; then
  sudo pacman -S --noconfirm android-tools
fi
echo ''
echo "Install Docker ? [y/n]"
read inputdocker
if [[ $inputdocker =~ ^[Yy]$ ]]; then
  sudo pacman -S --noconfirm docker
  systemctl start docker
fi
echo ''
echo "Install/Enable pip ? [y/n]"
read inputpip
if [[ $inputpip =~ ^[Yy]$ ]]; then
  wget https://bootstrap.pypa.io/get-pip.py
  python3 get-pip.py --user --break-system-packages
  sudo rm get-pip.py
fi
echo ''
echo "Install JDK 21 ? [y/n]"
read inputjre
if [[ $inputjre =~ ^[Yy]$ ]]; then
  sudo pacman -Syy
  sudo pacman -Su
  git clone https://github.com/BlackCorsair/install-jdk-on-steam-deck.git && \
  JDK_VERSION=21 ./install-jdk-on-steam-deck/scripts/install-jdk.sh && \
  sudo rm -r ./install-jdk-on-steam-deck
fi
echo ''
echo "Install yay ? [y/n]"
read inputyay
if [[ $inputjre =~ ^[Yy]$ ]]; then
  git clone https://aur.archlinux.org/yay-bin.git
  cd yay-bin
  git checkout 96f90180a3cf72673b1769c23e2c74edb0293a9f
  makepkg -si
fi
